Module "Mage_XmlConnect" requires module "Mage_Usa"

[10 ноября 2016 г.]    Российская сборка Magento 2.49.12
Magento 2: модули и услуги
  • Тема закрыта
#1 Игорь Водяницкий
  • Группа: Клиент
  • Сообщений: 5
  • Регистрация: 09.12.2014

09.12.2014 19:19

Сделал все по инструкции. Скачал дистрибутив Magento и дистрибутив российской сборки. Все поочередно распаковал в корень сайта. При переходе на домен, чтобы начать установку Magento, выдает ошибку: "There has been an error processing your request".

Посмотрел в логах. Вот что пишет:

a:5:{i:0;s:52:"Module "Mage_XmlConnect" requires module "Mage_Usa".";i:1;s:891:"#0 /var/www/autosiboos/data/www/autosiboos.com.ua/app/code/core/Mage/Core/Model/Config.php(849): Mage::throwException('Module "Mage_Xm...')
#1 /var/www/autosiboos/data/www/autosiboos.com.ua/app/code/core/Mage/Core/Model/Config.php(812): Mage_Core_Model_Config->_sortModuleDepends(Array)
#2 /var/www/autosiboos/data/www/autosiboos.com.ua/app/code/core/Mage/Core/Model/Config.php(315): Mage_Core_Model_Config->_loadDeclaredModules()
#3 /var/www/autosiboos/data/www/autosiboos.com.ua/app/code/core/Mage/Core/Model/App.php(414): Mage_Core_Model_Config->loadModules()
#4 /var/www/autosiboos/data/www/autosiboos.com.ua/app/code/core/Mage/Core/Model/App.php(343): Mage_Core_Model_App->_initModules()
#5 /var/www/autosiboos/data/www/autosiboos.com.ua/app/Mage.php(684): Mage_Core_Model_App->run(Array)
#6 /var/www/autosiboos/data/www/autosiboos.com.ua/index.php(87): Mage::run('', 'store')
#7 {main}";s:3:"url";s:1:"/";s:11:"script_name";s:10:"/index.php";s:4:"skin";s:7:"default";}

#2 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8885
  • Регистрация: 20.02.2010

09.12.2014 19:39

В файле app/etc/modules/Df_All.xml замените
<Mage_Usa>
    <active>false</active>
    <codePool>core</codePool>
</Mage_Usa>

на
<Mage_Usa>
    <active>true</active>
    <codePool>core</codePool>
</Mage_Usa>

после чего удалите кэш и выполните установку заново.

Поделиться темой: